org.richfaces.request

## Class BaseUploadedFile

- java.lang.Object
- - org.richfaces.request.BaseUploadedFile

- All Implemented Interfaces:
    UploadedFile
  Direct Known Subclasses:
    UploadedFile25, UploadedFile30

      public abstract class BaseUploadedFile
      extends Object
      implements UploadedFile

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseUploadedFile(String parameterName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `byte[]` | `getData()`
    `String` | `getFileExtension()` Returns the files extension - the substring after last period of this file's name.
    `String` | `getName()`
    `String` | `getParameterName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.model.UploadedFile

      `delete, getHeader, getHeaderNames, getHeaders, getInputStream, getSize, write`

- - ### Constructor Detail

    - #### BaseUploadedFile

          public BaseUploadedFile(String parameterName)

  - ### Method Detail

    - #### getParameterName

          public String getParameterName()

      Specified by:
        `getParameterName` in interface `UploadedFile`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `UploadedFile`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `UploadedFile`

    - #### getData

          public byte[] getData()

      Specified by:
        `getData` in interface `UploadedFile`

    - #### getFileExtension

          public String getFileExtension()

      Description copied from interface: `UploadedFile`
      Returns the files extension - the substring after last period of this file's name. If there is no period in file name, empty string is returned instead.
      Specified by:
        `getFileExtension` in interface `UploadedFile`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.